#!/bin/bash

set -ex

script_dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
cd "${script_dir}"

export PATH=${BASE}/node_modules/.bin:$PATH

echo "Docs directory: $script_dir"

# Change baseUrl to '/techdev/'
sed -i "s|/tech/|/techdev/|g" docusaurus.config.ts ./src/pages/index.tsx

bun docusaurus build

rsync -rv --delete ${script_dir}/build/ root@info.ourworld.tf:/root/hero/www/info/techdev

# Change baseUrl to '/tech/'
sed -i "s|/techdev/|/tech/|g" docusaurus.config.ts ./src/pages/index.tsx